<?php
/*
 * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
 *
 * http://www.lockon.co.jp/
 */
require_once(MODULE_PATH . "mdl_zeus/mdl_zeus.inc");

class LC_Page {
	function LC_Page() {
		if (GC_MobileUserAgent::isMobile()) {
			$this->tpl_mainpage = MODULE_PATH . "mdl_zeus/zeus_credit_mobile.tpl";
		} else {
			$this->tpl_mainpage = MODULE_PATH . "mdl_zeus/zeus_credit.tpl";
		}		
		
		/*
		 session_startno-cacheإå뤳Ȥ
		 ץܥѻͭڤɽ롣
		 private-no-expire:饤ȤΥåĤ롣
		*/
		session_cache_limiter('private-no-expire');		
	}
}

$objPage = new LC_Page();
$objView = (GC_MobileUserAgent::isMobile()) ? new SC_MobileView() : new SC_SiteView();
$objCampaignSess = new SC_CampaignSession();
$objSiteInfo = $objView->objSiteInfo;
$arrInfo = $objSiteInfo->data;


// ѥ᡼饹
$objFormParam = new SC_FormParam();
// ѥ᡼ν
lfInitParam();
// POSTͤμ
$objFormParam->setParam($_POST);

// Ƚ׽
$objPage = sfTotalCart($objPage, $objCartSess, $arrInfo);

// ơ֥ɹ
$arrData = sfGetOrderTemp($uniqid);

// Ƚפ򸵤˺ǽ׻
$arrData = sfTotalConfirm($arrData, $objPage, $objCartSess, $arrInfo);

switch($_POST['mode']) {
// Υڡ
case 'return':
	// ʿܤǤ뤳ȤϿƤ
	$objSiteSess->setRegistFlag();
	if (GC_MobileUserAgent::isMobile()) {
		header("Location: " . gfAddSessionId(URL_SHOP_CONFIRM));
	} else {
		header("Location: " . URL_SHOP_CONFIRM);
	}
	exit;
	break;
// 
case 'next':
	// ͤѴ
	$objFormParam->convParam();
	$objPage->arrErr = lfCheckError($arrRet);
	
	// ϥ顼ʤξ
	if(count($objPage->arrErr) == 0) {
		// ϥǡμԤ
    	$arrInput = $objFormParam->getHashArray();
    	// 쥸åʸ
		$ret = sfPostPaymentData($arrData, $arrInput);
		// 
		if($ret) {
            // Ͽ줿ȤϿƤ
            $objSiteSess->setRegistFlag();
			if (GC_MobileUserAgent::isMobile()) {
				header("Location: " . gfAddSessionId(URL_SHOP_COMPLETE));
			} else {
				header("Location: " . URL_SHOP_COMPLETE);
			}
		} else {
			// 
			$objPage->tpl_error = "ǧڤ˼ԤޤǤƤ򤴳ǧ";
		}
	}
	break;
}

$objDate = new SC_Date();
$objDate->setStartYear(RELEASE_YEAR);
$objDate->setEndYear(RELEASE_YEAR + CREDIT_ADD_YEAR);
$objPage->arrYear = $objDate->getZeroYear();
$objPage->arrMonth = $objDate->getZeroMonth();

// ̤ɽ
$objPage = sfZeusDisp($objPage, $payment_id);

// ʧ
$objPage->arrPaymentClass = $arrPaymentClass;
$objPage->arrForm = $objFormParam->getFormParamList();
$objView->assignobj($objPage);
// ե졼(ڡڡܤʤѹ)
$objCampaignSess->pageView($objView);
//-------------------------------------------------------------------------------------------------------
/* ѥ᡼ν */
function lfInitParam() {
	global $objFormParam;
	$objFormParam->addParam("ʧ", "payment_class", INT_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
	$objFormParam->addParam("ֹ1", "card_no01", CREDIT_NO_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
	$objFormParam->addParam("ֹ2", "card_no02", CREDIT_NO_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
	$objFormParam->addParam("ֹ3", "card_no03", CREDIT_NO_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
	$objFormParam->addParam("ֹ4", "card_no04", CREDIT_NO_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
	$objFormParam->addParam("ɴǯ", "card_year", 2, "n", array("EXIST_CHECK", "NUM_COUNT_CHECK", "NUM_CHECK"));
	$objFormParam->addParam("ɴ·", "card_month", 2, "n", array("EXIST_CHECK", "NUM_COUNT_CHECK", "NUM_CHECK"));
	$objFormParam->addParam("̾", "card_name01", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "ALPHA_CHECK"));
	$objFormParam->addParam("", "card_name02", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "ALPHA_CHECK"));
	$objFormParam->addParam("ѤɤѤ", "quick_check", INT_LEN, "n", array("MAX_LENGTH_CHECK"));	
}

/* ƤΥå */
function lfCheckError() {
	global $objFormParam;
	// ϥǡϤ
	$arrRet =  $objFormParam->getHashArray();
	$objErr = new SC_CheckError($arrRet);
	$objErr->arrErr = $objFormParam->checkError();
	
	return $objErr->arrErr;
}
?>